diff fixincludes/mkfixinc.sh @ 0:a06113de4d67

first commit
author kent <kent@cr.ie.u-ryukyu.ac.jp>
date Fri, 17 Jul 2009 14:47:48 +0900
parents
children 04ced10e8804
line wrap: on
line diff
--- /dev/null	Thu Jan 01 00:00:00 1970 +0000
+++ b/fixincludes/mkfixinc.sh	Fri Jul 17 14:47:48 2009 +0900
@@ -0,0 +1,36 @@
+#! /bin/sh
+
+if [ $# -ne 1 ]
+then
+  echo "Usage: $0 <target-mach-triplet>"
+  exit 1
+fi
+
+machine=$1
+target=fixinc.sh
+
+# Check for special fix rules for particular targets
+case $machine in
+    alpha*-dec-*vms* | \
+    i?86-moss-msdos* | \
+    i?86-*-pe | \
+    i?86-*-cygwin* | \
+    i?86-*-mingw32* | \
+    x86_64-*-mingw32* | \
+    i?86-*-interix* | \
+    *-*-vxworks* | \
+    powerpc-*-eabisim* | \
+    powerpc-*-eabi*    | \
+    powerpc-*-rtems*   | \
+    powerpcle-*-eabisim* | \
+    powerpcle-*-eabi* )
+	#  IF there is no include fixing,
+	#  THEN create a no-op fixer and exit
+	(echo "#! /bin/sh" ; echo "exit 0" ) > ${target}
+        ;;
+
+    *)
+	cat < ${srcdir}/fixinc.in > ${target} || exit 1
+	;;
+esac
+chmod 755 ${target}